# Uses of Class
org.apache.commons.math3.geometry.spherical.oned.Sphere1D

Packages that use Sphere1D
Package
Description
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Sphere1D in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return Sphere1D
Modifier and Type
Method
Description
`static Sphere1D`
Sphere1D.`getInstance()`
Get the unique instance.
Methods in org.apache.commons.math3.geometry.spherical.oned that return types with arguments of type Sphere1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`Point<Sphere1D>`
LimitAngle.`project(Point<Sphere1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Sphere1D>`
ArcsSet.`projectToBoundary(Point<Sphere1D> point)`
Project a point on the boundary of the region.
`SubHyperplane.SplitSubHyperplane<Sphere1D>`
SubLimitAngle.`split(Hyperplane<Sphere1D> hyperplane)`
Split the instance in two parts by an hyperplane.
Method parameters in org.apache.commons.math3.geometry.spherical.oned with type arguments of type Sphere1D
Modifier and Type
Method
Description
`ArcsSet`
ArcsSet.`buildNew(BSPTree<Sphere1D> tree)`
Build a region using the instance as a prototype.
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
SubLimitAngle.`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`double`
S1Point.`distance(Point<Sphere1D> point)`
Compute the distance between the instance and another point.
`double`
LimitAngle.`getOffset(Point<Sphere1D> point)`
Get the offset (oriented distance) of a point.
`Point<Sphere1D>`
LimitAngle.`project(Point<Sphere1D> point)`
Project a point to the hyperplane.
`BoundaryProjection<Sphere1D>`
ArcsSet.`projectToBoundary(Point<Sphere1D> point)`
Project a point on the boundary of the region.
`boolean`
LimitAngle.`sameOrientationAs(Hyperplane<Sphere1D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Sphere1D>`
SubLimitAngle.`split(Hyperplane<Sphere1D> hyperplane)`
Split the instance in two parts by an hyperplane.
Constructor parameters in org.apache.commons.math3.geometry.spherical.oned with type arguments of type Sphere1D
Modifier
Constructor
Description
``
`ArcsSet(Collection<SubHyperplane<Sphere1D>> boundary, double tolerance)`
Build an arcs set from a Boundary REPresentation (B-rep).
``
`ArcsSet(BSPTree<Sphere1D> tree, double tolerance)`
Build an arcs set from an inside/outside BSP tree.
``
`SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.
``
`SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.

## Uses of Sphere1D in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return Sphere1D
Modifier and Type
Method
Description
`Sphere1D`
Sphere2D.`getSubSpace()`
Get the n-1 dimension subspace of this space.
Methods in org.apache.commons.math3.geometry.spherical.twod that return types with arguments of type Sphere1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`static Transform<Sphere2D,Sphere1D>`
Circle.`getTransform(Rotation rotation)`
Get a `Transform` embedding a 3D rotation.
Method parameters in org.apache.commons.math3.geometry.spherical.twod with type arguments of type Sphere1D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`S2Point`
Circle.`toSpace(Point<Sphere1D> point)`
Transform a sub-space point into a space point.
Constructor parameters in org.apache.commons.math3.geometry.spherical.twod with type arguments of type Sphere1D
Modifier
Constructor
Description
``
`SubCircle(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.